Hello community,

here is the log from the commit of package patterns-caasp for openSUSE:Factory 
checked in at 2018-04-10 10:54:19
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/patterns-caasp (Old)
 and      /work/SRC/openSUSE:Factory/.patterns-caasp.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "patterns-caasp"

Tue Apr 10 10:54:19 2018 rev:32 rq:593996 version:1.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/patterns-caasp/patterns-caasp.changes    
2018-04-05 15:36:22.249899085 +0200
+++ /work/SRC/openSUSE:Factory/.patterns-caasp.new/patterns-caasp.changes       
2018-04-10 10:54:23.833822512 +0200
@@ -1,0 +2,10 @@
+Fri Apr  6 15:18:59 CEST 2018 - ku...@suse.de
+
+- Re-order patterns
+
+-------------------------------------------------------------------
+Fri Apr  6 13:36:59 CEST 2018 - ku...@suse.de
+
+- Introduce own category for Kubic (avoid confusion on Tumbleweed)
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ patterns-caasp.spec ++++++
--- /var/tmp/diff_new_pack.n7XWjx/_old  2018-04-10 10:54:24.325804743 +0200
+++ /var/tmp/diff_new_pack.n7XWjx/_new  2018-04-10 10:54:24.329804599 +0200
@@ -18,8 +18,10 @@
 
 %if 0%{?is_susecaasp}
 %define product_name SUSE CaaS Platform
+%define pattern_category SUSE%20CaaS%20Platform
 %else
 %define product_name openSUSE Kubic
+%define pattern_category openSUSE%20Kubic
 %endif
 Name:           patterns-caasp
 Version:        1.0
@@ -30,28 +32,18 @@
 Url:            http://en.opensuse.org/Patterns
 Source0:        %name-rpmlintrc
 ExclusiveArch:  x86_64 aarch64 ppc64le s390x
-%if 0%{?suse_version} >= 1330
-BuildRequires:  patterns-rpm-macros
-%else
-BuildRequires:  package-translations
-BuildRequires:  perl(URI::Escape)
-%endif
 
 %description
 This is an internal package that is used to create the patterns as part
 of the installation source setup. Installation of this package does
 not make sense.
 
-%if 0%{?suse_version} < 1330
-%{expand:%(perl %{_datadir}/package-translations/create_macros)}
-%endif
-
 %package MicroOS
 Summary:        %{product_name} MicroOS System
 Group:          Metapackages
-%pattern_basetechnologies
 Provides:       pattern() = .basesystem
 Provides:       pattern() = SUSE%2dMicroOS
+Provides:       pattern-category() = %{pattern_category}
 Provides:       pattern-icon() = pattern-basis
 Provides:       pattern-order() = 9010
 Provides:       pattern-visible()
@@ -170,8 +162,8 @@
 %package Stack
 Summary:        %{product_name} Stack
 Group:          Metapackages
-%pattern_primaryfunctions
 Provides:       pattern() = SUSE%2dCaaSP%2dStack
+Provides:       pattern-category() = %{pattern_category}
 Provides:       pattern-icon() = pattern-generic
 Provides:       pattern-order() = 9020
 Provides:       pattern-visible()
@@ -206,9 +198,9 @@
 
 
 %package hardware
-Summary:        Packages needed to run %{product_name} on real hardware
+Summary:        Hardware Support
 Group:          Metapackages
-%pattern_primaryfunctions
+Provides:       pattern-category() = %{pattern_category}
 Requires:       glibc-locale
 Requires:       kernel-default
 Requires:       kernel-firmware
@@ -221,60 +213,43 @@
 This are packages which are required to install SUSE CaaS Platform or openSUSE 
Kubic product
 on real hardeare.
 
-%package sssd-ldap
-Summary:        Packages needed to let %{product_name} act as LDAP client
+%package apparmor
+Summary:        Apparmor Support
 Group:          Metapackages
-%pattern_primaryfunctions
-Requires:       sssd
-Requires:       sssd-ldap
-Provides:       pattern() = SUSE%2dMicroOS%2dsssd_ldap
+Provides:       pattern-category() = %{pattern_category}
+Requires:       apparmor-parser
+Requires:       apparmor-profiles
+Requires:       apparmor-utils
+Provides:       pattern() = SUSE%2dMicroOS%2dapparmor
 Provides:       pattern-icon() = pattern-generic
 Provides:       pattern-order() = 9040
 Provides:       pattern-visible()
 
-%description sssd-ldap
-This are packages which are required to enable LDAP client support
-via sssd on SUSE CaaS Platform or openSUSE Kubic product.
+%description apparmor
+This are packages which are required to enable Apparmor on
+SUSE CaaS Platform or openSUSE Kubic product.
 
 
-%package ima_evm
-Summary:        Packages needed to enable IMA/EVM on %{product_name}
+%package sssd-ldap
+Summary:        LDAP client
 Group:          Metapackages
-%pattern_primaryfunctions
-Requires:       attr
-Requires:       dracut-ima
-Requires:       ima-evm-utils
-Requires:       keyutils
-Provides:       pattern() = SUSE%2dMicroOS%2dima_evm
+Provides:       pattern-category() = %{pattern_category}
+Requires:       sssd
+Requires:       sssd-ldap
+Provides:       pattern() = SUSE%2dMicroOS%2dsssd_ldap
 Provides:       pattern-icon() = pattern-generic
 Provides:       pattern-order() = 9050
 Provides:       pattern-visible()
 
-%description ima_evm
-This are packages which are required to enable IMA/EVM on
-SUSE CaaS Platform or openSUSE Kubic product.
-
-
-%package apparmor
-Summary:        Packages needed to enable Apparmor on %{product_name}
-Group:          Metapackages
-%pattern_primaryfunctions
-Requires:       apparmor-parser
-Requires:       apparmor-profiles
-Requires:       apparmor-utils
-Provides:       pattern() = SUSE%2dMicroOS%2dapparmor
-Provides:       pattern-icon() = pattern-generic
-Provides:       pattern-order() = 9060
-Provides:       pattern-visible()
+%description sssd-ldap
+This are packages which are required to enable LDAP client support
+via sssd on SUSE CaaS Platform or openSUSE Kubic product.
 
-%description apparmor
-This are packages which are required to enable Apparmor on
-SUSE CaaS Platform or openSUSE Kubic product.
 
 %package selinux
-Summary:        Packages needed to enable SELinux on %{product_name}
+Summary:        SELinux
 Group:          Metapackages
-%pattern_primaryfunctions
+Provides:       pattern-category() = %{pattern_category}
 Requires:       checkpolicy
 Requires:       mcstrans
 Requires:       selinux-policy
@@ -282,7 +257,7 @@
 Requires:       selinux-tools
 Provides:       pattern() = SUSE%2dMicroOS%2dselinux
 Provides:       pattern-icon() = pattern-generic
-Provides:       pattern-order() = 9070
+Provides:       pattern-order() = 9060
 Provides:       pattern-visible()
 
 %description selinux
@@ -290,10 +265,28 @@
 SUSE CaaS Platform or openSUSE Kubic product.
 
 
+%package ima_evm
+Summary:        IMA/EVM Support
+Group:          Metapackages
+Provides:       pattern-category() = %{pattern_category}
+Requires:       attr
+Requires:       dracut-ima
+Requires:       ima-evm-utils
+Requires:       keyutils
+Provides:       pattern() = SUSE%2dMicroOS%2dima_evm
+Provides:       pattern-icon() = pattern-generic
+Provides:       pattern-order() = 9070
+Provides:       pattern-visible()
+
+%description ima_evm
+This are packages which are required to enable IMA/EVM on
+SUSE CaaS Platform or openSUSE Kubic product.
+
+
 %package onlyDVD
 Summary:        Packages only for the DVD of %{product_name}
 Group:          Metapackages
-%pattern_primaryfunctions
+Provides:       pattern-category() = %{pattern_category}
 Requires:       cracklib-dict-full
 Requires:       hyper-v
 Requires:       open-vm-tools


Reply via email to